> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User App Settings

> Update the current user's app settings (partial update).

Only provided fields will be updated. Pass null to clear a field.

Args:
    update_data: Fields to update
    service: UserAppSettingsService (injected by dependency)

Returns:
    UserAppSettingsResponse: The updated user's app settings

Raises:
    HTTPException: 401 if user is not authenticated
    HTTPException: 404 if user not found
    HTTPException: 500 if update fails



## OpenAPI

````yaml /openapi/openhands-cloud.json post /api/users/app
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/users/app:
    post:
      summary: Update User App Settings
      description: |-
        Update the current user's app settings (partial update).

        Only provided fields will be updated. Pass null to clear a field.

        Args:
            update_data: Fields to update
            service: UserAppSettingsService (injected by dependency)

        Returns:
            UserAppSettingsResponse: The updated user's app settings

        Raises:
            HTTPException: 401 if user is not authenticated
            HTTPException: 404 if user not found
            HTTPException: 500 if update fails
      operationId: update_user_app_settings_api_users_app_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserAppSettingsUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserAppSettingsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UserAppSettingsUpdate:
      properties:
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        enable_sound_notifications:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enable Sound Notifications
        git_user_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Git User Name
        git_user_email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Git User Email
        git_full_clone:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Git Full Clone
      type: object
      title: UserAppSettingsUpdate
      description: Request model for updating user app settings (partial update).
    UserAppSettingsResponse:
      properties:
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        user_consents_to_analytics:
          anyOf:
            - type: boolean
            - type: 'null'
          title: User Consents To Analytics
        enable_sound_notifications:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enable Sound Notifications
        git_user_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Git User Name
        git_user_email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Git User Email
        git_full_clone:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Git Full Clone
      type: object
      title: UserAppSettingsResponse
      description: Response model for user app settings.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````